using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 导入配置 明细
    /// </summary>
    [Description("导入配置 明细")]
	[IgnoreT4]public class T_FM_IMPORT_CONFIG_DETAIL : TreeEntityBase<T_FM_IMPORT_CONFIG_DETAIL>
	{
        [Description("导入配置主表ID")]
        public Guid IMPORT_CONFIG_ID { get; set; }

		/// <summary>
		/// 描述
		/// </summary>
		[Description("描述")]
		public string DESCRIPTION { get; set; }

		/// <summary>
		///Excel工作簿索引 从0开始
		/// </summary>
		[Description("Excel 工作簿索引")]
		public int SHEET_INDEX { get; set; }

		/// <summary>
		///行开始索引  从1开始
		/// </summary>
		[Description("行开始索引")]
		public int START_ROW_INDEX { get; set; }

		 
		/// <summary>
		///工作簿键值字段名称   用于主从表之间关联关系的建立
		/// </summary>
		[Description("工作簿键值字段名称")]
		public string SHEET_KEY_FIELD_NAME { get; set; }

		/// <summary>
		///编辑表编号
		/// </summary>
		[Description("编辑表编号")]
		public string PAGE_EDIT_CODE { get; set; }

		/// <summary>
		///编辑表编号
		/// </summary>
		[Description("Ignore：数据")]
		public dynamic Data { get; set; }
		/// <summary>
		/// 备注
		/// </summary>
		[Description("备注")]
		public string REMARK { get; set; }

        [Description("导航：导入配置主表")]
        public virtual T_FM_IMPORT_CONFIG Nav_ImportConfig { get; set; }

        [Description("导航：导入配置字段")]
        public virtual ICollection<T_FM_IMPORT_CONFIG_FIELD> Nav_Fields { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
